{# heredando header y footer #}
{% extends "./plantilla.html" %}
{% load static %}
{% block contenido %}

<div class="row">
  <div class="col-md-2">
  </div>
  <div class="col-md-8">
    <br> <br>
    <form class="" action="/procesarActualizacionCarrera/" method="post" enctype="multipart/form-data" id="frm_nueva_car">
        {% csrf_token %}
        <br>
        <input type="hidden" name="idCarreraBAFA" value="{{carrera.idCarreraBAFA}}">
        <br>
        <h6 class="blanco-text">Nombre de la Carrera</h6>
        <input type="text" name="nombreCarreraBAFA" id="nombreCarreraBAFA" value="{{carrera.nombreCarreraBAFA}}" class="form-control" required>
        <br>
        <h6 class="blanco-text">directorCarreraBAFA:</h6>
        <input type="text" name="directorCarreraBAFA" id="directorCarreraBAFA" value="{{carrera.directorCarreraBAFA}}" class="form-control" required>
        <br>
        <div class="mb-3">
            <label for="logoCarreraBAFA" class="form-label blanco-text">Logo de la Carrera:</label>
            <br>
            {% if carrera.logoCarreraBAFA %}
                <img src="{{ carrera.logoCarreraBAFA.url }}" alt="Imagen actual" width="300px">
            {% endif %}
            <input type="file" name="logoCarreraBAFA" id="logoCarreraBAFA" accept="image/*" class="form-control">
        </div>
        <label for="duracionCarreraBAFA">Duración de la Carrera (en años): </label>
        <input type="number" id="duracionCarreraBAFA" name="duracionCarreraBAFA" value="{{carrera.duracionCarreraBAFA}}" required>
        <br>
        <h6 class="blanco-text">REQUISITOS:</h6>
        <textarea name="requisitosIngresoBAFA" id="requisitosIngresoBAFA" cols="3" class="form-control">{{carrera.requisitosIngresoBAFA}}</textarea>
        <br></br>
        <center>
            <button type="submit" name="button" class="btn btn-warning">Actualizar</button> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            <a href="/" name="button" class="btn btn-danger">Cancelar</a>
        </center>
    </form>
  </div>

</div>

<script type="text/javascript">
    $("#frm_nueva_car").validate({
        rules:{
            "nombreCarreraBAFA":{
                required: true
            },
            "directorCarreraBAFA":{
                required: true
            },
            "logoCarreraBAFA":{
                required: false
            },
            "duracionCarreraBAFA":{
                required: true
            },
            "requisitosIngresoBAFA":{
                required: true
            }
        },
        messages:{
            "nombreCarreraBAFA":{
                required: "Por favor Ingrese un Nombre valido"
            },
            "directorCarreraBAFA":{
                required: "Debe ingresar un Director valido"
            },
            "logoCarreraBAFA":{
                required: "Debe ingresar el logo de la carrera"
            },
            "duracionCarreraBAFA":{
                required: "Debe ingresar una duracion valida"
            },
            "requisitosIngresoBAFA":{
                required: "Debe ingresar los requisitos de la carrera"
            },
        }
    });
</script>
<script>
        $(document).ready(function () {
            $("#logoCarreraBAFA").fileinput({
              //showUpload:false
              //showRemove: false,
              language:'es',
            });
        });
</script>

{% endblock %}
